Package org.springframework.security.acls.domain

# Class SpringCacheBasedAclCache

java.lang.Object
org.springframework.security.acls.domain.SpringCacheBasedAclCache

All Implemented Interfaces:
  `AclCache`

public class SpringCacheBasedAclCache extends Object implements AclCache
Simple implementation of `AclCache` that delegates to `Cache` implementation.

Designed to handle the transient fields in `AclImpl`. Note that this implementation assumes all `AclImpl` instances share the same `PermissionGrantingStrategy` and `AclAuthorizationStrategy` instances.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`SpringCacheBasedAclCache(org.springframework.cache.Cache cache, PermissionGrantingStrategy permissionGrantingStrategy, AclAuthorizationStrategy aclAuthorizationStrategy)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearCache()`
`void`
`evictFromCache(Serializable pk)`
`void`
`evictFromCache(ObjectIdentity objectIdentity)`
`MutableAcl`
`getFromCache(Serializable pk)`
`MutableAcl`
`getFromCache(ObjectIdentity objectIdentity)`
`void`
`putInCache(MutableAcl acl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpringCacheBasedAclCache

public SpringCacheBasedAclCache(org.springframework.cache.Cache cache, PermissionGrantingStrategy permissionGrantingStrategy, AclAuthorizationStrategy aclAuthorizationStrategy)

## Method Details

### evictFromCache

public void evictFromCache(Serializable pk)

Specified by:
  `evictFromCache` in interface `AclCache`

### evictFromCache

public void evictFromCache(ObjectIdentity objectIdentity)

Specified by:
  `evictFromCache` in interface `AclCache`

### getFromCache

public MutableAcl getFromCache(ObjectIdentity objectIdentity)

Specified by:
  `getFromCache` in interface `AclCache`

### getFromCache

public MutableAcl getFromCache(Serializable pk)

Specified by:
  `getFromCache` in interface `AclCache`

### putInCache

public void putInCache(MutableAcl acl)

Specified by:
  `putInCache` in interface `AclCache`

### clearCache

public void clearCache()

Specified by:
  `clearCache` in interface `AclCache`